local status, db = pcall(require, "dashboard")
if not status then
    vim.notify("没有找到 dashboard")
    return
end

db.setup({
    theme = 'doom',
    config = {
        header = {[[]], [[]], [[]], [[]], [[]], [[]], [[]], [[]],
                  [[          ▀████▀▄▄              ▄█ ]],
                  [[            █▀    ▀▀▄▄▄▄▄    ▄▄▀▀█ ]],
                  [[    ▄        █          ▀▀▀▀▄  ▄▀  ]],
                  [[   ▄▀ ▀▄      ▀▄              ▀▄▀  ]],
                  [[  ▄▀    █     █▀   ▄█▀▄      ▄█    ]],
                  [[  ▀▄     ▀▄  █     ▀██▀     ██▄█   ]],
                  [[   ▀▄    ▄▀ █   ▄██▄   ▄  ▄  ▀▀ █  ]],
                  [[    █  ▄▀  █    ▀██▀    ▀▀ ▀▀  ▄▀  ]],
                  [[   █   █  █      ▄▄           ▄▀   ]], [[]], [[]], [[]], [[]], [[]], [[]], [[]], [[]]}, -- your header
        center = {{
            icon = " ",
            icon_hl = 'Title',
            desc = 'Find File           ',
            desc_hl = 'String',
            key = 'f',
            keymap = 'SPC f',
            key_hl = 'Number',
        }, {
            icon = ' ',
            desc = 'Find Word',
            key = 'k',
            keymap = 'SPC k',
        }, {
            icon = ' ',
            desc = 'Project',
            key = 'p',
            keymap = 'SPC p',
        }, {
            icon = '󰚰 ',
            desc = 'Plugins Update',
            key = 'u',
            name = "DsStore",
            keymap = 'SPC u',
        }},
        footer = db.custom_footer -- your footer
    }
})
db.custom_footer = function()
    local footer = {'sdaduanbilei', ' Have fun with neovim'}
    if packer_plugins ~= nil then
        local count = #vim.tbl_keys(packer_plugins)
        footer[2] = '🎉 Neovim loaded ' .. count .. ' plugins'
    end
    return footer
end
